
Figure - Bug #115560
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【AF】【EVT】【稳定性】【偶现】长时间进行稳定性MTBF脚本测试，偶现小窗应用没有正常打开
2023-01-31 11:10 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-01-31

Priority: Normal Due date: 2023-02-09

Assignee: 物联网测试组_CDTS 段小刚 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1、设备成功启动

2、确保MTBF脚本运行的前置条件已准备

【测试步骤】

1、使用python运行对应MTBF脚本（包括小窗应用打开以及移动切换状态）

2、运行24小时

3、查看设备运行结果

【预期结果】

3、设备正常运行，小窗功能正常

【实际结果】

3、出现一次应用小窗未正常打开

【复现率】

1/165

History

#1 - 2023-01-31 11:10 - 物联网测试组_CDTS 段小刚

tlog超过50M，无法上传，需要的话我飞书发送

#2 - 2023-01-31 17:15 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

#3 - 2023-02-02 14:50 - CD FW-鲁凯峰

从目前的日志看,应该是SurfaceFlinger出现异常导致的小窗无法启动

01-31 06:39:39.750   906  3019 E SurfaceFlinger: AddClientLayer failed, mNumLayers (4096) >= MAX_LAYERS (4096)

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Root#0) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowedMagnification:0:31#0) ::  parent (Root#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (HideDisplayCutout:0:16#0) ::  parent (WindowedMagnification:0:31#0).
01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHandedBackgroundPanel:0:1#0) ::  parent (HideDisplayCutout:0:16#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:0:1#0) ::  parent (OneHandedBackgroundPanel:0:1#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:0:1#0) ::  parent (OneHanded:0:1#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:0:1#0) ::  parent (FullscreenMagnification:0:1#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WallpaperWindowToken{8417821 token=android.os.Binder@56b5688}#0) ::  parent (Leaf:0:1#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (e8a9b70 com.android.systemui.ImageWallpaper#0) ::  parent (WallpaperWindowToken{8417821

token=android.os.Binder@56b5688}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (com.android.systemui.ImageWallpaper#0) ::  parent (e8a9b70 com.android.systemui.ImageWallpaper#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Wallpaper BBQ wrapper#0) ::  parent (com.android.systemui.ImageWallpaper#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:2:16#0) ::  parent (HideDisplayCutout:0:16#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:2:14#0) ::  parent (OneHanded:2:16#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (colorBackgroundLayer#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (DefaultTaskDisplayArea#2) ::  parent (FullscreenMagnification:2:14#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=1#1) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=9#0) ::  parent (Task=1#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ActivityRecord{4ef3074 u0 com.android.launcher3/.uioverrides.QuickstepLauncher#0) ::  parent (Task=9#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (fed5796 com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0) ::  parent

(ActivityRecord{4ef3074 u0 com.android.launcher3/.uioverrides.QuickstepLauncher#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0) ::  parent (fed5796

com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ImeContainer#0) ::  parent (ActivityRecord{4ef3074 u0 com.android.launcher3/.uioverrides.QuickstepLauncher#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{eeca288 android.os.Binder@d4e9e2b}#0) ::  parent (ImeContainer#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Surface(name=6517c93 InputMethod)/@0xb3e9cc9 - animation-leash of insets_animation#0) ::  parent

(WindowToken{eeca288 android.os.Binder@d4e9e2b}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (6517c93 InputMethod#0) ::  parent (Surface(name=6517c93 InputMethod)/@0xb3e9cc9 - animation-leash of

insets_animation#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (homeAnimationLayer#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (animationLayer#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2069#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Dim layer#0) ::  parent (Task=2069#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2068#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Dim layer#0) ::  parent (Task=2068#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2067#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2066#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Secondary Divider Dim#0) ::  parent (Task=2066#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2065#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Primary Divider Dim#0) ::  parent (Task=2065#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (splitScreenDividerAnchor#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2063#1) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ActivityRecord{b82b644 u0 com.android.deskclock/.DeskClock#0) ::  parent (Task=2063#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (e05404b com.android.deskclock/com.android.deskclock.DeskClock#0) ::  parent (ActivityRecord{b82b644 u0

com.android.deskclock/.DeskClock#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2070#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ActivityRecord{433a5c9 u0 com.android.settings/.homepage.SettingsHomepageActivity#0) ::  parent (Task=2070#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (74c8e90 com.android.settings/com.android.settings.homepage.SettingsHomepageActivity#0) ::  parent

(ActivityRecord{433a5c9 u0 com.android.settings/.homepage.SettingsHomepageActivity#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Input Consumer recents_animation_input_consumer#0) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (boostedAnimationLayer#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Task=2064#0) ::  parent (DefaultTaskDisplayArea#2).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ActivityRecord{d793d33 u0 com.android.calendar/.AllInOneActivity#0) ::  parent (Task=2064#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (7464e20 com.android.calendar/com.android.calendar.AllInOneActivity#0) ::  parent (ActivityRecord{d793d33 u0

com.android.calendar/.AllInOneActivity#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (com.android.calendar/com.android.calendar.AllInOneActivity#0) ::  parent (7464e20
com.android.calendar/com.android.calendar.AllInOneActivity#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ActivityRecord{6c42b99 u0 com.android.calendar/.AllInOneActivity#0) ::  parent (Task=2064#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ba402d3 com.android.calendar/com.android.calendar.AllInOneActivity#0) ::  parent (ActivityRecord{6c42b99 u0

com.android.calendar/.AllInOneActivity#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:3:14#0) ::  parent (FullscreenMagnification:2:14#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{f99c43 android.os.BinderProxy@7140166}#0) ::  parent (Leaf:3:14#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (7fe0cfd ShellDropTarget#0) ::  parent (WindowToken{f99c43 android.os.BinderProxy@7140166}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ImePlaceholder:15:16#0) ::  parent (OneHanded:2:16#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:17:17#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:17:17#0) ::  parent (OneHanded:17:17#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:17:17#0) ::  parent (FullscreenMagnification:17:17#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{1d879f7 android.os.BinderProxy@3e1be91}#0) ::  parent (Leaf:17:17#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Surface(name=a5f6064 StatusBar)/@0xc3ec782 - animation-leash of insets_animation#1) ::  parent

(WindowToken{1d879f7 android.os.BinderProxy@3e1be91}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (a5f6064 StatusBar#0) ::  parent (Surface(name=a5f6064 StatusBar)/@0xc3ec782 - animation-leash of

insets_animation#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (StatusBar#0) ::  parent (a5f6064 StatusBar#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (HideDisplayCutout:18:18#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:18:18#0) ::  parent (HideDisplayCutout:18:18#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:18:18#0) ::  parent (OneHanded:18:18#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:18:18#0) ::  parent (FullscreenMagnification:18:18#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:19:19#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:19:19#0) ::  parent (OneHanded:19:19#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:19:19#0) ::  parent (FullscreenMagnification:19:19#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{21fbd2a android.os.BinderProxy@7ea63cc}#0) ::  parent (Leaf:19:19#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ba2871b NotificationShade#0) ::  parent (WindowToken{21fbd2a android.os.BinderProxy@7ea63cc}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (HideDisplayCutout:20:23#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:20:23#0) ::  parent (HideDisplayCutout:20:23#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:20:23#0) ::  parent (OneHanded:20:23#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:20:23#0) ::  parent (FullscreenMagnification:20:23#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:24:25#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{4c1a672 android.os.BinderProxy@a5009d4}#0) ::  parent (Leaf:24:25#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Surface(name=556cac3 NavigationBar0)/@0xfd48e79 - animation-leash of insets_animation#1) ::  parent

(WindowToken{4c1a672 android.os.BinderProxy@a5009d4}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (556cac3 NavigationBar0#0) ::  parent (Surface(name=556cac3 NavigationBar0)/@0xfd48e79 - animation-leash of

insets_animation#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (NavigationBar0#0) ::  parent (556cac3 NavigationBar0#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{613b623 android.os.BinderProxy@3bba352}#0) ::  parent (Leaf:24:25#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (9f56720 SecondaryHomeHandle0#0) ::  parent (WindowToken{613b623 android.os.BinderProxy@3bba352}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{134fa38 android.os.BinderProxy@a87c69b}#0) ::  parent (Leaf:24:25#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (71bca11 EdgeBackGestureHandler0#0) ::  parent (WindowToken{134fa38 android.os.BinderProxy@a87c69b}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (HideDisplayCutout:26:31#0) ::  parent (WindowedMagnification:0:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:26:31#0) ::  parent (HideDisplayCutout:26:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:26:27#0) ::  parent (OneHanded:26:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:26:27#0) ::  parent (FullscreenMagnification:26:27#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{94664af android.os.BinderProxy@821048e}#0) ::  parent (Leaf:26:27#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (40060bc freeform_top_left_tip_window#0) ::  parent (WindowToken{94664af

android.os.BinderProxy@821048e}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (freeform_top_left_tip_window#0) ::  parent (40060bc freeform_top_left_tip_window#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{e1e9ccb android.os.BinderProxy@12cdb9a}#0) ::  parent (Leaf:26:27#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (6d0cca8 freeform_top_right_tip_window#0) ::  parent (WindowToken{e1e9ccb

android.os.BinderProxy@12cdb9a}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (freeform_top_right_tip_window#0) ::  parent (6d0cca8 freeform_top_right_tip_window#0).
01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{4a29afd android.os.BinderProxy@bba0b54}#0) ::  parent (Leaf:26:27#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (12343f2 freeform_bottom_left_tip_window#0) ::  parent (WindowToken{4a29afd

android.os.BinderProxy@bba0b54}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (freeform_bottom_left_tip_window#0) ::  parent (12343f2 freeform_bottom_left_tip_window#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{802e9f9 android.os.BinderProxy@55688c0}#0) ::  parent (Leaf:26:27#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (c1dad3e freeform_bottom_right_tip_window#0) ::  parent (WindowToken{802e9f9

android.os.BinderProxy@55688c0}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (freeform_bottom_right_tip_window#0) ::  parent (c1dad3e freeform_bottom_right_tip_window#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:28:28#0) ::  parent (OneHanded:26:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:29:31#0) ::  parent (OneHanded:26:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:29:31#0) ::  parent (FullscreenMagnification:29:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{d3a1bfd android.os.Binder@beaf054}#0) ::  parent (Leaf:29:31#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (HideDisplayCutout:32:35#0) ::  parent (Root#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (OneHanded:32:35#0) ::  parent (HideDisplayCutout:32:35#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:32:32#0) ::  parent (OneHanded:32:35#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (FullscreenMagnification:33:35#0) ::  parent (OneHanded:32:35#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:33:35#0) ::  parent (FullscreenMagnification:33:35#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (WindowToken{ff50bd7 android.view.ViewRootImpl$W@a62af56}#0) ::  parent (Leaf:33:35#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (43bbcc4 PointerLocation - display 0#0) ::  parent (WindowToken{ff50bd7

android.view.ViewRootImpl$W@a62af56}#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (PointerLocation - display 0#0) ::  parent (43bbcc4 PointerLocation - display 0#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:36:36#0) ::  parent (Root#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Display Overlays#0) ::  parent (Root#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Sprite#0) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (bbq-wrapper#0) ::  parent (Sprite#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Sprite#1) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (bbq-wrapper#1) ::  parent (Sprite#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Drag and Drop Input Consumer#0) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (RootWrapper#0) ::  parent (no-parent).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Root#1) ::  parent (RootWrapper#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:0:1#1) ::  parent (Root#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (DefaultTaskDisplayArea#1) ::  parent (Root#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (colorBackgroundLayer#1) ::  parent (DefaultTaskDisplayArea#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (homeAnimationLayer#1) ::  parent (DefaultTaskDisplayArea#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (splitScreenDividerAnchor#1) ::  parent (DefaultTaskDisplayArea#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (animationLayer#1) ::  parent (DefaultTaskDisplayArea#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (boostedAnimationLayer#1) ::  parent (DefaultTaskDisplayArea#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:3:14#1) ::  parent (Root#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Leaf:17:36#0) ::  parent (Root#1).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (ImeContainer#1) ::  parent (RootWrapper#0).

01-31 06:39:39.750   906  3019 E SurfaceFlinger: layer (Display Overlays#1) ::  parent (RootWrapper#0).

01-31 06:39:39.750  1516 11680 E SurfaceComposerClient: SurfaceComposerClient::createSurface error Out of memory

#4 - 2023-02-02 19:28 - CD FW 曹覃刚

- Due date set to 2023-02-09

#5 - 2023-02-03 14:15 - CD FW-鲁凯峰

- Due date deleted (2023-02-09)

■ Current conclusion

目前怀疑是以下提交导致的layer没有释放,从而引起的内存泄露问题
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/170546

■ My analysis

有可能是layer创建之后没有导致的,目前正常正在排查

■ Next action

revert提交170546后,在跑脚本验证

#6 - 2023-02-03 14:16 - CD FW-鲁凯峰

- Due date set to 2023-02-09

#7 - 2023-02-07 18:23 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TPM-王祥林

■ Current conclusion

revert提交170546后,在用脚本跑了大概3天,该异常依然存在

参考高通case:05803708, 该异常是由于创建太多的layer导致的,以下为高通回复

-----------------

Dear Customer,

Issue is due to the number of layers being created is extremely high (>4096).

SurfaceFlinger can maintain 4096 layers at most. This is expected failure for such cases.

You need to check why these processes are creating these many layers?

Could you check that in your logs?

Thanks,

MC

-----------------

■ My analysis

理由如下:

1. 这个是跑类似压力测试才出现的问题,一般情况不会出现创建layer过多的情况,正常情况下不会对用户的操作有影响

2. 解决该异常需要去修改SurfaceFlinger的内容,风险太大,不可控,可能会引起其他更严重的问题

3. 该问题出现的几率不算高,1/165,而且是压力测试下的概率,正常情况下基本不会发生改异常

因此申请不解

■ Next action

该Bug申请不解

#8 - 2023-02-13 13:41 - CD TPM-王祥林

- Status changed from New to ASSIGNED

- Assignee changed from CD TPM-王祥林 to 方案组-RD3_CDTS 王浩云

- Resolution deleted (--)
浩云

基于以上原因，我认为这个问题可以不解。请从产品的角度也评估一下。

#9 - 2023-02-13 14:11 - 方案组-RD3_CDTS 王浩云

遵循专业意见...若场景不常见，只在指定的压测场景下，且复现率低，可遵循研发意见

#10 - 2023-02-13 14:12 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD TPM-王祥林

#11 - 2023-02-14 10:40 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 物联网测试组_CDTS 段小刚

- Resolution set to WONTFIX

小刚

根据上面的说明，这个问题不用解，请关闭这个票。谢谢。

#12 - 2023-02-14 10:58 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

经讨论：在特殊压测场景下出现该现象，设计源生，修改恐会造成更大问题——不修改

#13 - 2023-02-15 10:05 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED
